## org.apache.hadoop.streaming
Class Environment

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.apache.hadoop.streaming.Environment

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class Environment

extends Properties

This is a class used to get the current environment on the host machines running the map/reduce. This class assumes that setting the environment in streaming is allowed on windows/ix/linuz/freebsd/sunos/solaris/hp-ux

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`Environment()`

Method Summary
`String` `getHost()`
`Map<String,String>` `toMap()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Environment

    public Environment()
                throws IOException

Throws:
  `IOException`

Method Detail

### toMap

    public Map<String,String> toMap()

### getHost

    public String getHost()

Copyright © 2009 The Apache Software Foundation